Bug 996486 - Guest subscribe 1 DataCenter subpool is not sufficient to become compliant when guest's socket over 1
Guest subscribe 1 DataCenter subpool is not sufficient to become compliant wh...
Status: CLOSED CURRENTRELEASE
Product: Subscription Asset Manager
Classification: Red Hat
Component: candlepin (Show other bugs)
1.3
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Michael Stead
SAM QE List
:
Depends On:
Blocks: sam13-tracker
  Show dependency treegraph
 
Reported: 2013-08-13 05:20 EDT by Liushihui
Modified: 2013-10-01 09:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-01 09:33:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liushihui 2013-08-13 05:20:28 EDT
Description of problem:
when the guest subscribe one DataCenter subpool and guest system with over one cpu socket(eg:cpu.cpu_socket(s): 4) - Guest still "Partially Subscribed"

Version-Release number of selected component (if applicable):
subscription-manager-1.8.19-1.el5
python-rhsm-1.8.16-1.el5
virt-who-0.7-9.el5
katello-headpin-1.4.3-6.el6sam_splice.noarch
candlepin-0.8.19-1.el6sam.noarch

How reproducible:
Always

Steps to Reproduce:
1.Register host to SAM server.
2.Restart virt-who on the host(The default mode:Use libvirt to list virtual guests).
3 Register one guest(have 4 sockets) to SAM server with same username and password. 
#echo '{"cpu.cpu_socket(s)":"4"}' > /etc/rhsm/facts/socket.facts
#subscription-manager facts --update 
4. On the Host:subscribe to the DataCenter subscription pool.
  #subscription-manager subscribe --pool=<DataCenter subscription pool id>
5.  On the Guest: 
5.1 List available entitlement pools 
 # subscription-manager list --available
5.2 Subscribe to the subpool:
# subscription-manager attach --pool=<POOLID>
5.3 Check the status of installed product:
# subscription-manager list --installed

Actual results:
After step4.3, the status display Status: "Partially Subscribed"

Expected results:
After step4.3, the status should display fully: "Subscribed"

Additional info:
Comment 1 Michael Stead 2013-08-20 09:23:57 EDT
Please provide more information about the datacenter subscription and the sub pool that is created.

In the mean time, I'll try and locally reproduce what you are describing, and report my findings.

Remember, the sub pool does not carry the same set of product attributes as the parent pool. The sub pool takes the product attributes defined by the derivedProduct of the parent pool -- different set of attributes.
Comment 2 Michael Stead 2013-08-20 10:21:28 EDT
I have verified that this is behaving as expected for me locally.

Please provide more details on the datacenter subscription that you are testing against.

The easiest way to do this would be to curl the details of the data center pool that the host would use:

curl -k -u admin:admin http://localhost:8080/candlepin/pools/[YOUR_POOL_ID]


The output here will show what product attributes will be placed on the sub pool -- derivedProductAttributes
Comment 3 Michael Stead 2013-08-20 10:22:40 EDT
Sorry, please replace 'localhost:8080' with the host:port of your candlepin.
Comment 4 Liushihui 2013-08-20 23:27:20 EDT
I have test it again under the following env, but this bug has been blocked by bug  994992, Can we retest it after bug 994992 fix?
SAM host:10.66.12.119 
datacenter subscription:
name:Red Hat Enterprise Linux Server, Datacenter Standard
Pool ID: 8ac28da34095cf7a014095d3870a00ad
SKU: RH00002


(In reply to Michael Stead from comment #3)
> Sorry, please replace 'localhost:8080' with the host:port of your candlepin.
Comment 5 Michael Stead 2013-08-22 14:11:27 EDT
Am I able to hit candlepin directly on server described above?
Please provide me with some working user credentials for the server and I'll see if I can pull the data for the pool to see how it is configured.

Please provide:
- Org
- User creds
- url for candlepin (hopefully it is accessible)

I've tried testing this again locally, and it seems to work fine for me. I *suspect* it may be that the subscription is not set up correctly.
Comment 6 Liushihui 2013-08-23 04:39:42 EDT
hi, Michael
   Please see the SAM info as the following:
   SAM host:10.66.13.229 
   Username/Password:admin/admin
   org:ACME_Corporation
   url for candlepin : http://samserv.redhat.com(you must add "10.66.13.229 samserv.redhat.com" to /etc/hosts)
   datacenter subscription:
           name:Red Hat Enterprise Linux Server, Datacenter Standard
           Pool ID: 8ac28da34095cf7a014095d3870a00ad
           SKU: RH00002


(In reply to Michael Stead from comment #5)
> Am I able to hit candlepin directly on server described above?
> Please provide me with some working user credentials for the server and I'll
> see if I can pull the data for the pool to see how it is configured.
> 
> Please provide:
> - Org
> - User creds
> - url for candlepin (hopefully it is accessible)
> 
> I've tried testing this again locally, and it seems to work fine for me. I
> *suspect* it may be that the subscription is not set up correctly.
Comment 7 Liushihui 2013-08-27 03:41:37 EDT
hi, Michael
  I test this issue in the latest Rhel5.10 and SAM1.3, the bug can't be reproduce now, thanks!

Test env:
RHEL5.10-RC-1.0(20130823.1)-server-x86_64(XEN) against SAM-1.3.0-RHEL-6-20130823.1

subscription-manager-1.8.21-1.el5
python-rhsm-1.8.17-1.el5
virt-who-0.7-9.el5
katello-headpin-1.4.3-9.el6sam_splice.noarch
candlepin-0.8.21-1.el6sam.noarch

 (In reply to Michael Stead from comment #5)
> Am I able to hit candlepin directly on server described above?
> Please provide me with some working user credentials for the server and I'll
> see if I can pull the data for the pool to see how it is configured.
> 
> Please provide:
> - Org
> - User creds
> - url for candlepin (hopefully it is accessible)
> 
> I've tried testing this again locally, and it seems to work fine for me. I
> *suspect* it may be that the subscription is not set up correctly.
Comment 8 Michael Stead 2013-08-28 12:52:15 EDT
Moving to POST so that it can still be tracked for the release, even though it is no longer reproducible.
Comment 9 Bryan Kearney 2013-08-28 13:11:55 EDT
Lates build (Snap4) should contain these fixes. Please test on Snap4.
Comment 10 Liushihui 2013-09-02 06:09:23 EDT
Verified it on RHEL5.10-RC-1.3(20130829.2)-server-x86_64 against SAM-1.3.0-RHEL-6-20130829.1, see following test steps:

Version-Release number of selected component (if applicable):
subscription-manager-1.8.21-1.el5
python-rhsm-1.8.17-1.el5
virt-who-0.7-9.el5
katello-headpin-1.4.3-11.el6sam_splice.noarch
candlepin-0.8.24-1.el6sam.noarch

Verified steps:
1.Register host to SAM server.
2.Restart virt-who on the host(The default mode:Use libvirt to list virtual guests).
3 Register one guest(have 4 sockets) to SAM server with same username and password. 
#echo '{"cpu.cpu_socket(s)":"4"}' > /etc/rhsm/facts/socket.facts
#subscription-manager facts --update 
4. On the Host:subscribe to the DataCenter subscription pool.
[root@hp-z220-05 libvirt-test-API]# subscription-manager subscribe --pool=8ac28c5e40dcbdac0140dce45ad200f9
Successfully attached a subscription for: Red Hat Enterprise Linux Server, Datacenter Standard

5.  On the Guest: 
5.1 Subscribe to the subpool which generate by host:
[root@unused ~]# subscription-manager subscribe --pool=8ac28c5e40dcbdac0140de1133880b1f
Successfully attached a subscription for: Red Hat Enterprise Linux Server, Datacenter Standard

5.2 Check the status of installed product:
[root@unused ~]# subscription-manager list --install
+-------------------------------------------+
    Installed Product Status
+-------------------------------------------+
Product Name:   Red Hat Enterprise Linux Server
Product ID:     69
Version:        5.9 Beta
Arch:           x86_64
Status:         Subscribed
Status Details: 
Starts:         07/12/2013
Ends:           07/12/2014

As the Installed Product status is "Subscribed", Marking the bug status as 'VERIFIED'

Note You need to log in before you can comment on or make changes to this bug.